import { Injectable } from '@nestjs/common';
import { EmployeeRepository } from './employee.repository';
import { Employee } from '@prisma/client';

@Injectable()
export class EmployeeService {
  constructor(private readonly repository: EmployeeRepository) {}

  async findById(employeeId: string): Promise<Employee> {
    return this.repository.findById(employeeId);
  }

  async findByPersonnelNumber(personnelNumber: string): Promise<Employee> {
    return this.repository.findByPersonnelNumber(personnelNumber);
  }
}
